"use strict";
const editorExtensions = require("../../../browser/editorExtensions.js");
const hoverTypes = require("../../hover/browser/hoverTypes.js");
const ghostTextController = require("./ghostTextController.js");
const inlineCompletionsHoverParticipant = require("./inlineCompletionsHoverParticipant.js");
editorExtensions.registerEditorContribution(ghostTextController.GhostTextController.ID, ghostTextController.GhostTextController);
editorExtensions.registerEditorAction(ghostTextController.TriggerInlineSuggestionAction);
editorExtensions.registerEditorAction(ghostTextController.ShowNextInlineSuggestionAction);
editorExtensions.registerEditorAction(ghostTextController.ShowPreviousInlineSuggestionAction);
hoverTypes.HoverParticipantRegistry.register(inlineCompletionsHoverParticipant.InlineCompletionsHoverParticipant);
